dtpdm(user cmd)

NAME
dtpdm — Print Dialog Manager to provide printer-specific GUIs

SYNOPSIS

dtpdm [-vdisplay vdpy] [-window vwid] [-pdisplay pdpy] [-pcontext pcid]

DESCRIPTION

dtpdm is the Print Dialog Manager (PDM) that is invoked by the Print Dialog Manager Daemon (dtpdmd) to provide printer-specific GUIs on behalf of a printing application. It is a process separate from the print server.

At an application’s request dtpdm posts to the user’s display a set of printer-specific dialogs that enable the user to configure a variety of printer options.

The dtpdm program provides a setup dialog to X printing applications that allows the user to set printer specific and job specific options. The setup dialog appears to be part of the application, but it is actually managed by the dtpdm on behalf of the application. It is capable of providing dialogs in all locales for which there exist applicable message catalogs.

dtpdm presents a dialog containing the printer name and description plus an XmNotebook widget. This widget contains two tabs: one for the Printer Setup Box and one for the Job Setup Box. Each of these boxes provides controls that allow for configuration of various printing options.

The dtpdm dialog also contains three pushbuttons labelled OK, Cancel, and Help. When the user presses OK, dtpdm dismisses the dialog and sets the newly configured printing options in the current print context (via XpSetAttributes). When the user presses Cancel, dtpdm dismisses the dialog and makes no changes to the print context.

  Printer Setup Box

The Printer Setup box presents options specific to the currently selected printer. The options presented may vary in other PDM implementations. The printer setup options presented by dtpdm are as follows:

Printer Information
    Provides information about the X Printer. The information consists of the printer model and the document format used to generate documents sent to this X Printer.

Page Orientation
    Specifies how the output will be oriented on the page. The orientation options presented in the menu depend on the printer, but up to four orientations are possible: portrait, landscape, reverse portrait, and reverse landscape. An icon adjacent to the Options menu presents a graphical illustration showing the current selection.

Printed Sides
    Specifies single or double-sided printing. The actual choices available depend on the printer, but up to three choices are possible: simplex, duplex, and tumble. An icon adjacent to the Options menu presents a graphical illustration showing the current selection.

Tray
    Specifies the printer tray from which the media will be drawn. The Auto-select tray option is available for all printers. Selecting this option indicates no preference as to which tray to use. Remaining Tray selections are dependent on the printer.

Page Size
    Specifies the media size for printing. The entries in this list box depend on whether the Loaded in Printer or All Sizes radio button is selected.

Loaded in Printer
    Provides a list of the media sizes currently available on the printer. If the current Tray option is Auto-select, the user will see all media sizes available in all of the printer’s trays. If a specific tray is selected, only the media size loaded in that tray will be shown. Information on which media size is available in which tray is provided by the system administrator via the input-trays-medium attribute. If the system administrator does not provide this information, the Loaded in Printer radio button will be inactive.

All Sizes
    Provides a list of all supported media sizes available for the printer. If the user selects this button, the Tray option is set to Auto-select. This button is provided for the following situations:

    •   If the system administrator has not specified which sizes are loaded in the printer

    •   If a desired media size is not loaded and the printer prompts for the requested size

    •   If the output never reaches an actual printer (for example, when printing to a file)

  Job Setup Box

The Job Setup box presents options specific to the spooler controlling the printer. The options presented may vary in other PDM implementations, depending on the spooler. The job setup options presented by dtpdm are as follows:

Send Mail When Done
    Instructs dtpdm to send an email message to the user when the job is completed.

Banner Page Title
    Specifies the text the user wants to appear on the banner page of the output.

Print Command Options
    Specifies command line options and arguments that the user wants to pass to the spooler. dtpdm performs no parsing of this field. All parsing and argument validation is performed by the underlying spooler.

OPTIONS

The following options are available:

-vdisplay vdpy
    Specifies the display connection to the Video X-Server.

-window vwid
    Specifies the window id on the Video X-Server to which the PDM’s dialogs should be posted as transient windows.

-pdisplay pdpy
    Specifies the display connection to the Print X-Server.

-pcontext pcid
    Specifies the print context id on the Print X-Server. The PDM uses this id to gain access to the print context being used by the requesting application.

ENVIRONMENT VARIABLES

The Dt Print Dialog Manager uses the environment variable LANG to identify the location of its localized message file.

RESOURCES

None.

ACTIONS/MESSAGES

None.

RETURN VALUES

The return values (defined as integer constants in Dt/dtpdmd.h) are as follows:

PDM_EXIT_OK
    The PDM is telling the PDMD that the user selected OK to dismiss the PDM.

PDM_EXIT_CANCEL
    The PDM is telling the PDMD that the user selected CANCEL to dismiss the PDM.

DM_EXIT_VXAUTH
    The PDM is telling the PDMD that it did not have proper authority to make a display connection on the Video X-Server.

PDM_EXIT_PXAUTH
    The PDM is telling the PDMD that it did not have proper authority to make a display connection to the Print X-Server.

PDM_EXIT_ERROR
    The PDM is telling the PDMD that it encountered an error.

all other values
    The PDMD treats all unknown return values the same as PDM_EXIT_ERROR. Such return values are likely from uncontrollable exit conditions often found in other libraries (for example, untrapped XIO errors from libX).

ERRORS/WARNINGS

None.

FILES

None.

EXAMPLES

None.

SEE ALSO

dtpdmd1